Skip to main content
GET
/
customers
Read all customers
curl --request GET \
  --url https://api.lumx.io/customers \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.lumx.io/customers"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.lumx.io/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "BUSINESS",
      "legalName": "Lumx S.A",
      "taxId": "42.887.120/0001-00",
      "incorporationDate": "2020-01-01",
      "country": "BRA",
      "email": "hello@lumx.io",
      "verification": {
        "status": "NOT_STARTED",
        "level": "STANDARD",
        "link": "https://in.sumsub.com/websdk/p/sbx_aA00bB11cC33dD44"
      },
      "metadata": {},
      "createdAt": "2021-01-01T00:00:00Z",
      "updatedAt": "2021-01-01T00:00:00Z"
    }
  ],
  "pagination": {
    "size": 25,
    "total": 1,
    "hasNextPage": false,
    "hasPreviousPage": false,
    "nextCursor": null,
    "previousCursor": null
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header on the format Bearer <API_KEY>.

Query Parameters

size
integer
default:25

Number of customers to return per page.

Required range: 1 <= x <= 100
cursor
string<uuid>

Cursor for pagination. Use the nextCursor or previousCursor from the previous response to get the next or previous page.

Response

200 - application/json

Resources successfully retrieved.

data
Business · object[]

An array containing all customers.

pagination
object

Pagination metadata for the response.